Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

Missing Component View on Integration Scenario

Hi All,

I'm having a problem when doing the XI 3.0 Demo Examples.

The CheckFlightSeatAvailability scenario in my system doesn't have ABAP_Proxy_2_Web_Service component view.

The Config Guide said that this demo variant is available as of XI SPS 12, while my XI SPS is 14, so I supposed there's no problem.

But when I checked the Software Component Version SAP BASIS 6.40 in the Integration Repository, the Available Support Packages field's value is 9.

My questions are :

1. Does it means that I'm still using SPS 9 for configuring the scenario ? If that so, how can I update it to SPS 14 ?

2. If that's not the problem, what should I do so that the ABAP_Proxy_2_Web_Service appear in the CheckFlightSeatAvailability scenario ?

Kindly need your advices in this matter.

Regards,

Andy

Former Member
Former Member replied

Hi Andy,

you are on patch9 for basis component.

In patch stack guide it is described how to upgrade this component.

Import the appropriate content for the SAP XI Support Package release from the archive SAPBASIS<SP>_<PL>.ZIP (XI Content SAP_BASIS 6.40). Proceed as follows:

1. Unpack the archive using a ZIP tool of your choice.

2. Copy the export file (with file extension tpz) into the import directory <INSTDIR>/ <SAPSID>/SYS/global/xi/repository_server/import.

3. Start the Integration Builder for the design time.

4. Import the XI content by choosing Tools &#8594; Import design objects...

For more information, see SAP Note 705541.

This is always an important step, since the component not only contains scenario's but also Adapter MetaData.

So if this level is not on 14 (and the rest is) you will not be able to make use of SP14 Adapter features or even run into all kind of errors.

Regards,

Theo

0 View this answer in context
Not what you were looking for? View more on this topic or Ask a question